Tutorial hosting: Cum alegeti o versiune PHP diferita pe un server Linux

Exista mai multe motive pentru care v-ati putea dori sa utilizati versiuni diferite de PHP pe acelasi server. Versiunile diferite includ optiuni default diferite, iar cea mai recenta versiune PHP ofera o performanta mai buna si mai multe caracteristici.

Diferite platforme CMS, aplicatii web, scripturi, etc. pot necesita utilizarea unei anumite versiuni PHP pe un server. Daca intampinati probleme in a rula un anumit script, acest lucru s-ar putea intampla din cauza ca utilizati o versiune gresita de PHP.

De asemenea, se poate intampla sa aveti o aplicatie scrisa intr-o versiune mai veche de PHP, care ruleaza deja pe serverul dvs. si pe care doriti sa o pastrati, dar aveti nevoie de o alta aplicatie care necesita cea mai recenta versiune PHP. Sau poate clientii dvs. doresc sa instaleze cea mai recenta versiune a CMS-ului preferat sau a vreunui script. Din toate aceste motive, dar si altele, s-ar putea sa aveti nevoie de 2 versiuni PHP diferite care sa ruleze simultan pe un server Linux.

Alegerea unei versiuni de PHP prin WHM, pentru un server Linux

Daca aveti un server Linux, il puteti configura sa ruleze simultan 2 versiuni diferite de PHP (de exemplu, PHP 4 si PHP 5). Puteti alege versiunile de PHP in timpul compilarii serverului web Apache. Pentru a face acest lucru urmati pasii de mai jos:

1) Logati-va in WHM.
2) Accesati Software -> EasyApache.
3) In timp ce creati profilul vi se va cere sa specificati versiunea de PHP pe care o veti folosi.
4) Selectati PHP 4 si PHP 5 si recompilati Apache.
5) Reporniti cPanel si serviciile http.

Dupa ce procesul este terminat, puteti selecta versiunea PHP care va fi default pe server.

Cum pot alege clientii de hosting o versiune diferita de PHP pentru site-ul lor

Deoarece clientii de hosting nu pot rula 2 versiuni de PHP in acelasi timp, acestia vor trebui sa aleaga varianta potrivita site-ului lor, din interfata cPanel.

Pentru a alege o versiune de PHP din cPanel, urmati pasii:

1) Logati-va in cPanel.
2) Accesati PHP Configuration.
3) Selectati versiunea PHP dorita.

NOTA! Aceasta schimbare va afecta toate domeniile aflate pe un cont de hosting.



Leave a Reply